AchievementWeWillFallThisDay = class(Turbine.UI.Control)
function AchievementWeWillFallThisDay:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.skillList = {
        ["Last Stand"] = true,
        ["At the Fore"] = true,
    }

    self.handler = handler

    self:SetCallbacks()
end

function AchievementWeWillFallThisDay:SetCallbacks()
    self.skillCallbacks = {}
    for key, value in pairs(SkillEventHandler:GetSkills()) do
        if self.skillList[key] then

            table.insert(self.skillCallbacks, AddCallback(SkillEventHandler, key, function(skill) 
                self.handler:Fail("We Will Fall This Day", "Usage of an illegal skill", 0x410081F3)
            end))
        end
    end
end

function AchievementWeWillFallThisDay:Unload()
    for key, value in pairs(self.skillCallbacks) do
        RemoveCallback(SkillEventHandler, key, value) 
    end
end

function AchievementWeWillFallThisDay:Refresh()
    self:Unload()
    self:SetCallbacks()
end